pair(S,T) :- state(S), state(T), S < T.

dist(S,T) :- state(S), state(T), accept(S), not accept(T).
dist(S,T) :- state(S), state(T), accept(T), not accept(S).
dist(S,T) :- state(S), state(T), symbol(A), delta(S,A,X), delta(T,A,Y), dist(X,Y).

drop(T) :- pair(S,T), not dist(S,T).

keep(S) :- state(S), not drop(S).

merge(S,T) :- pair(S,T), keep(S), not dist(S,T).

#show merge/2.
